Bug 63791 - IDE UDMA hdparm -d1 Operation not permitted
IDE UDMA hdparm -d1 Operation not permitted
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 15:33 EDT by Rocky McGaugh
Modified: 2007-04-18 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 07:45:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rocky McGaugh 2002-04-18 15:33:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
with both 2.4.18-0.13 and 2.4.18-0.22, hdparm -d1 /dev/hda returns:
/dev/hda:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)
With same load, but with recompiled vanilla 2.4.18, it works fine.

Have demonstraited with both E7500 and i810e based boards.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install skipjack-2
2.do hdparm -d1 /dev/hda
3.
	

Actual Results:  [root@pino1 mpich-1.2.1..7b]# hdparm -d1 /dev/hda

/dev/hda:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)
[root@pino1 mpich-1.2.1..7b]# 

Expected Results:  w

Additional info:

w
Comment 1 Warren Togami 2002-04-19 06:34:51 EDT
Can you post your "lspci -v" output?
Comment 2 Rocky McGaugh 2002-04-19 10:10:35 EDT
yes, i can, although this has happened on several machines with several
different chipsets


[root@pino1 root]# lspci -v
00:00.0 Host bridge: Intel Corp. e7500 DRAM Controller (rev 02)
        Flags: bus master, fast devsel, latency 0

00:02.0 PCI bridge: Intel Corp. e7500 HI_B Virtual PCI-to-PCI Bridge (F0) (rev
02) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=00, secondary=02, subordinate=04, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: fe700000-feafffff
        Prefetchable memory behind bridge: fa200000-fc4fffff

00:1d.0 USB Controller: Intel Corp. 82801CA/CAM USB (Hub  (rev 02) (prog-if 00
[UHCI])
        Flags: bus master, medium devsel, latency 0, IRQ 16
        I/O ports at ec00 [size=32]

00:1e.0 PCI bridge: Intel Corp. 82801BA/CA PCI Bridge (rev 42) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: fc600000-fe6fffff
        Prefetchable memory behind bridge: fa100000-fa1fffff

00:1f.0 ISA bridge: Intel Corp. 82801CA ISA Bridge (LPC) (rev 02)
        Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corp. 82801CA IDE U100 (rev 02) (prog-if 8a [Master
SecP PriP])
        Flags: bus master, medium devsel, latency 0, IRQ 18
        I/O ports at <unassigned> [size=8]
        I/O ports at <unassigned> [size=4]
        I/O ports at <unassigned> [size=8]
        I/O ports at <unassigned> [size=4]
        I/O ports at ffa0 [size=16]
        Memory at 80000000 (32-bit, non-prefetchable) [disabled] [size=1K]

00:1f.3 SMBus: Intel Corp. 82801CA/CAM SMBus (rev 02)
        Flags: medium devsel, IRQ 17
        I/O ports at ec80 [size=32]

01:02.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
(prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc: Unknown device 8008
        Flags: bus master, stepping, medium devsel, latency 64, IRQ 18
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at cc00 [size=256]
        Memory at fe6ff000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at fe6c0000 [disabled] [size=128K]
        Capabilities: [5c] Power Management version 2

01:03.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 0c)
        Subsystem: Intel Corp. EtherExpress PRO/100 S Server Adapter
        Flags: bus master, medium devsel, latency 64, IRQ 17
        Memory at fe6fe000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at c880 [size=64]
        Memory at fe6a0000 (32-bit, non-prefetchable) [size=128K]
        Capabilities: [dc] Power Management version 2
02:1c.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 03) (prog-if 20 [IO(X)-APIC])
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Memory at feafe000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [50] PCI-X non-bridge device.

02:1d.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 03) (prog-if
00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=02, secondary=04, subordinate=04, sec-latency=64
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: fe800000-fe9fffff
        Prefetchable memory behind bridge: 00000000fa300000-00000000fc300000
        Capabilities: [50] PCI-X non-bridge device.

02:1e.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 03) (prog-if 20 [IO(X)-APIC])
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Memory at feaff000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [50] PCI-X non-bridge device.

02:1f.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 03) (prog-if
00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=02, secondary=03, subordinate=03, sec-latency=64
        Memory behind bridge: fe700000-fe7fffff
        Prefetchable memory behind bridge: 00000000fa200000-00000000fa200000
        Capabilities: [50] PCI-X non-bridge device.

04:01.0 Ethernet controller: Intel Corp. 82544EI Gigabit Ethernet Controller
(rev 02)
        Subsystem: Intel Corp. PRO/1000 XT Server Adapter
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 48
        Memory at fe960000 (32-bit, non-prefetchable) [size=128K]
        Memory at fe950000 (32-bit, non-prefetchable) [size=64K]
        I/O ports at dc80 [size=32]
        Expansion ROM at fe940000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device.
        Capabilities: [f0] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-

04:02.0 Non-VGA unclassified device: MYRICOM Inc.: Unknown device 8043 (rev 03)
        Subsystem: MYRICOM Inc.: Unknown device 8043
        Flags: bus master, stepping, 66Mhz, slow devsel, latency 64, IRQ 52
        Memory at fb000000 (32-bit, prefetchable) [size=16M]
        Expansion ROM at fe980000 [disabled] [size=512K]

Comment 3 R.K.Aa. 2002-04-26 03:36:47 EDT
seeing the same thing with another configuration;

 /sbin/lspci -v
00:00.0 Host bridge: Silicon Integrated Systems [SiS]: Unknown device 0645 (rev 01)
	Subsystem: Silicon Integrated Systems [SiS]: Unknown device 0645
	Flags: bus master, medium devsel, latency 32
	Memory at d0000000 (32-bit, non-prefetchable) [size=64M]
	Capabilities: [c0] AGP version 2.0

00:01.0 PCI bridge: Silicon Integrated Systems [SiS] 5591/5592 AGP (prog-if 00
[Normal decode])
	Flags: bus master, fast devsel, latency 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	Memory behind bridge: d4000000-dbffffff
	Prefetchable memory behind bridge: dc000000-e3ffffff

00:02.0 ISA bridge: Silicon Integrated Systems [SiS] 85C503/5513
	Flags: bus master, medium devsel, latency 0

00:02.2 USB Controller: Silicon Integrated Systems [SiS] 7001 (rev 07) (prog-if
10 [OHCI])
	Subsystem: Silicon Integrated Systems [SiS] 7001
	Flags: bus master, medium devsel, latency 32, IRQ 10
	Memory at e5102000 (32-bit, non-prefetchable) [size=4K]

00:02.3 USB Controller: Silicon Integrated Systems [SiS] 7001 (rev 07) (prog-if
10 [OHCI])
	Subsystem: Silicon Integrated Systems [SiS] 7001
	Flags: bus master, medium devsel, latency 32, IRQ 11
	Memory at e5103000 (32-bit, non-prefetchable) [size=4K]

00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev d0)
(prog-if 80 [Master])
	Subsystem: Silicon Integrated Systems [SiS] SiS5513 EIDE Controller (A,B step)
	Flags: bus master, fast devsel, latency 128
	I/O ports at 4000 [size=16]

00:06.0 Multimedia video controller: Brooktree Corporation Bt848 TV with DMA
push (rev 11)
	Flags: bus master, medium devsel, latency 32, IRQ 5
	Memory at e5100000 (32-bit, prefetchable) [size=4K]

00:08.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
	Subsystem: Intel Corporation EtherExpress PRO/100+ Management Adapter
	Flags: bus master, medium devsel, latency 32, IRQ 11
	Memory at e5101000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at e000 [size=64]
	Memory at e5000000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled] [size=1M]
	Capabilities: [dc] Power Management version 2

00:09.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 07)
	Subsystem: Creative Labs CT4832 SBLive! Value
	Flags: bus master, medium devsel, latency 32, IRQ 9
	I/O ports at e400 [size=32]
	Capabilities: [dc] Power Management version 1

00:09.1 Input device controller: Creative Labs SB Live! (rev 07)
	Subsystem: Creative Labs Gameport Joystick
	Flags: bus master, medium devsel, latency 32
	I/O ports at e800 [size=8]
	Capabilities: [dc] Power Management version 1

01:00.0 VGA compatible controller: nVidia Corporation: Unknown device 0201 (rev
a3) (prog-if 00 [VGA])
	Subsystem: Micro-star International Co Ltd: Unknown device 5105
	Flags: bus master, VGA palette snoop, 66Mhz, medium devsel, latency 248, IRQ 10
	Memory at d4000000 (32-bit, non-prefetchable) [size=16M]
	Memory at dc000000 (32-bit, prefetchable) [size=64M]
	Memory at e0000000 (32-bit, prefetchable) [size=512K]
	Expansion ROM at <unassigned> [disabled] [size=64K]
	Capabilities: [60] Power Management version 2
	Capabilities: [44] AGP version 2.0

----

/sbin/hdparm -v /dev/cdrom1

/dev/cdrom1:
 HDIO_GET_MULTCOUNT failed: Invalid argument
 I/O support  =  1 (32-bit)
 unmaskirq    =  0 (off)
 using_dma    =  0 (off)
 keepsettings =  0 (off)
 HDIO_GET_NOWERR failed: Invalid argument
 readonly     =  1 (on)
 readahead    =  8 (on)
 HDIO_GETGEO_BIG failed: Invalid argument
[root@localhost sysconfig]# 

/sbin/hdparm -i /dev/cdrom1

/dev/cdrom1:

 Model=Pioneer DVD-ROM ATAPIModel DVD-106S 012, FwRev=E1.22, SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=13395, BuffSize=64kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4 
 DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2 udma0 udma1 *udma2 udma3 udma4 
 AdvancedPM=no
 Drive Supports : Reserved : ATA-1 ATA-2 ATA-3 ATA-4 ATA-5 
Comment 4 R.K.Aa. 2002-05-18 18:14:02 EDT
Please disregard my above comment. After reading the RH7.3 Release Notes and
adding the file /etc/sysconfig/harddiskhdd with the line USE_DMA=1 I was able to
set DMA mode just fine via hdparm. Works like charm.
Comment 5 Alan Cox 2003-06-05 07:45:21 EDT
e7500 DMA is supported in the later kernels including errata for all supported
Red Hat Linux

Note You need to log in before you can comment on or make changes to this bug.